Skip to main content
GET
/
products
/
{id}
Get a Product by ID
curl --request GET \
  --url https://eu.sequencehq.com/api/products/{id} \
  --header 'Authorization: <authorization>'
import requests

url = "https://eu.sequencehq.com/api/products/{id}"

headers = {"Authorization": "<authorization>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<authorization>'}};

fetch('https://eu.sequencehq.com/api/products/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "994d23f7-47b6-43ee-af6b-cd27181196b6",
  "name": "Fixed priced product",
  "label": "Fixed priced product - UK",
  "taxCategoryId": "3271ca41-d538-404f-a15f-25856a37fb88",
  "createdAt": "2022-06-28T16:47:00Z",
  "updatedAt": "2022-06-28T16:47:00Z"
}
This response has no body data.
This response has no body data.
This response has no body data.
This response has no body data.

Headers

Authorization
string
required

Your API credentials. Eg. Basic {credentials}.

sequence-version
enum<string>

Use this header to select an API version

Available options:
2024-07-30

Path Parameters

id
string
required

Unique Product ID

Response

OK

id
string
required

Product ID

Example:

"994d23f7-47b6-43ee-af6b-cd27181196b6"

name
string
required

Name of the Product, this appears within Sequence's dashboard.

Example:

"Fixed priced product"

createdAt
string
required

Time at which the Product was first created, in ISO 8601 format (UTC). This is set by the server and cannot be changed. Expect millisecond precision.

Example:

"2022-06-28T16:47:00Z"

updatedAt
string
required

Time at which the Product was last updated, in ISO 8601 format (UTC). Expect millisecond precision.

Example:

"2022-06-28T16:47:00Z"

label
string

The internal description of the product. This can be used to maintain some explanation or comments regarding the product.

Example:

"Fixed priced product - UK"

taxCategoryId
string

The internal ID of the tax category associated with this product.

Example:

"3271ca41-d538-404f-a15f-25856a37fb88"